Skip to content
TarekyDocs
Console

Public API: render a static map image (metered)

GET
/v1/static-map/{theme}/{coords}/{size}
curl --request GET \
--url 'https://api.tareky.com/v1/static-map/light/44.3661%2C33.3152%2C14%2C0%2C0/600x400%402x.webp?lang=ar&pin=true' \
--header 'Authorization: Bearer <token>'
theme
required
string
Allowed values: light dark satellite
coords
required
string
Example
44.3661,33.3152,14,0,0

Lng,lat,zoom[,bearing[,pitch]]

size
required
string
Example
600x400@2x.webp

{width}x{height} up to 1280, optional @2x, optional .webp (default) / .png / .jpeg

path
string
lang
string
default: ar
Allowed values: ar en
pin
string
default: true
Allowed values: true false
x-access-key-id
string

Legacy key id (until its sunset)

The rendered map, in the format the size extension chose

string format: binary

Rate limit or monthly quota exceeded; see Retry-After

object
error
required
object
code
required

Stable machine-readable code, e.g. quota_exceeded, no_route

string
message
required
string
status
required
integer
>= -9007199254740991 <= 9007199254740991
details

For invalid_request: the validation issues

docsUrl
required
string
requestId
string

Any other error, in the /v1 error envelope

object
error
required
object
code
required

Stable machine-readable code, e.g. quota_exceeded, no_route

string
message
required
string
status
required
integer
>= -9007199254740991 <= 9007199254740991
details

For invalid_request: the validation issues

docsUrl
required
string
requestId
string